{"openapi":"3.0.4","info":{"title":"Execute Sql from the url returning CSV","description":"\nReturns data from a simple single-line query execution which is specified on the url.\ne.g. `select ^ from Sys.Field order by 1, 2`, returned in the format of the method name.\n\nThe following error codes are to be anticipated with standard Problem Detail reports:\n- 400 BadRequest - something failed with the execution or parsing of your query\n- 401 Unauthorized\n- 403 Forbidden\n","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/honeycomb"}],"paths":{"/api/Sql/csv/{query}":{"get":{"tags":["Sql Execution"],"summary":"Execute Sql from the url returning CSV","description":"\nReturns data from a simple single-line query execution which is specified on the url.\ne.g. `select ^ from Sys.Field order by 1, 2`, returned in the format of the method name.\n\nThe following error codes are to be anticipated with standard Problem Detail reports:\n- 400 BadRequest - something failed with the execution or parsing of your query\n- 401 Unauthorized\n- 403 Forbidden\n","operationId":"GetByQueryCsv","parameters":[{"name":"query","in":"path","description":"LuminesceSql to Execute (must be one line only)","required":true,"schema":{"type":"string"},"example":"select ^ from Sys.Field order by 1, 2"},{"name":"scalarParameters","in":"query","description":"Json encoded dictionary of key-value pairs for scalar parameter values to use in the sql execution.","style":"deepObject","schema":{"type":"object","additionalProperties":{"type":"string"}},"example":{"someParameter":12,"someOtherParameter":"someValue"},"x-nullable":true},{"name":"queryName","in":"query","description":"Name to apply to the query in logs and `Sys.Logs.HcQueryStart`","schema":{"type":"string"},"example":"Get tables/fields"},{"name":"download","in":"query","description":"Makes this a file-download request (as opposed to returning the data in the response-body)","schema":{"type":"boolean","default":false},"x-nullable":true},{"name":"timeout","in":"query","description":"In seconds: <0 or > 175 → 175s (Maximum allowed), 0 → 120s","schema":{"type":"integer","format":"int32","default":0},"example":150,"x-nullable":true},{"name":"delimiter","in":"query","description":"Delimiter string to override the default","schema":{"type":"string"}},{"name":"escape","in":"query","description":"Escape character to override the default","schema":{"type":"string"}},{"name":"dateTimeFormat","in":"query","description":"Format to apply for DateTime data, leaving blank gives the Luminesce Exporter default, currently `yyyy-MM-dd HH:mm:ss.fff`","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}